#include <stddef.h>
#include "upb/generated_code_support.h"
#include "upb_generator/plugin_bootstrap.h"

static upb_Arena* upb_BootstrapArena() {
  static upb_Arena* arena = NULL;
  if (!arena) arena = upb_Arena_New();
  return arena;
}

const upb_MiniTable* google__protobuf__compiler__FieldAccessInfo_msg_init() {
  static upb_MiniTable* mini_table = NULL;
  static const char* mini_descriptor = "$N1,,,9  ";
  if (mini_table) return mini_table;
  upb_Status status;
  mini_table =
      upb_MiniTable_Build(mini_descriptor, strlen(mini_descriptor),
                          upb_BootstrapArena(), &status);
  if (!mini_table) {
    fprintf(stderr, "Failed to build mini_table for google__protobuf__compiler__FieldAccessInfo_msg_init: %s\n",
            upb_Status_ErrorMessage(&status));
    abort();
  }
   return mini_table;
}

const upb_MiniTable* google__protobuf__compiler__MessageAccessInfo_msg_init() {
  static upb_MiniTable* mini_table = NULL;
  static const char* mini_descriptor = "$1,G";
  if (mini_table) return mini_table;
  upb_Status status;
  mini_table =
      upb_MiniTable_Build(mini_descriptor, strlen(mini_descriptor),
                          upb_BootstrapArena(), &status);
  if (!mini_table) {
    fprintf(stderr, "Failed to build mini_table for google__protobuf__compiler__MessageAccessInfo_msg_init: %s\n",
            upb_Status_ErrorMessage(&status));
    abort();
  }
  upb_MiniTable_SetSubMessage(
      mini_table,
      (upb_MiniTableField*)upb_MiniTable_FindFieldByNumber(mini_table,
                                                           3),
      google__protobuf__compiler__FieldAccessInfo_msg_init());
   return mini_table;
}

const upb_MiniTable* google__protobuf__compiler__UserAccessInfo_msg_init() {
  static upb_MiniTable* mini_table = NULL;
  static const char* mini_descriptor = "$EE";
  if (mini_table) return mini_table;
  upb_Status status;
  mini_table =
      upb_MiniTable_Build(mini_descriptor, strlen(mini_descriptor),
                          upb_BootstrapArena(), &status);
  if (!mini_table) {
    fprintf(stderr, "Failed to build mini_table for google__protobuf__compiler__UserAccessInfo_msg_init: %s\n",
            upb_Status_ErrorMessage(&status));
    abort();
  }
   return mini_table;
}

const upb_MiniTable* google__protobuf__compiler__AccessInfo_msg_init() {
  static upb_MiniTable* mini_table = NULL;
  static const char* mini_descriptor = "$G13";
  if (mini_table) return mini_table;
  upb_Status status;
  mini_table =
      upb_MiniTable_Build(mini_descriptor, strlen(mini_descriptor),
                          upb_BootstrapArena(), &status);
  if (!mini_table) {
    fprintf(stderr, "Failed to build mini_table for google__protobuf__compiler__AccessInfo_msg_init: %s\n",
            upb_Status_ErrorMessage(&status));
    abort();
  }
  upb_MiniTable_SetSubMessage(
      mini_table,
      (upb_MiniTableField*)upb_MiniTable_FindFieldByNumber(mini_table,
                                                           1),
      google__protobuf__compiler__MessageAccessInfo_msg_init());
  upb_MiniTable_SetSubMessage(
      mini_table,
      (upb_MiniTableField*)upb_MiniTable_FindFieldByNumber(mini_table,
                                                           3),
      google__protobuf__compiler__UserAccessInfo_msg_init());
   return mini_table;
}

